Subject: Re: bug#28655: 25.2; Problem with find-file-noselect

From: Live System User <[email-masked]>
Date: Sun, 24 Dec 2017 00:21:48 -0500

Glenn Morris <[email-masked]> writes:

> Live System User wrote:
>
>>         The partion where my /home directory is mounted became
>>         unrelatedly readonly.
>>
>>         When I tried to visit a file, readonly "C-x C-r"
>>         `(find-file-read-only),` I got the following
>>         *Backtrace* (see below).
> [...]
>> Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
>>   file-truename(nil)
>>   find-file-noselect-1(#<buffer dt.el<2>> "~/dt.el" nil nil "~/dt.el" (6637 64770))
>>   find-file-noselect("~/dt.el" nil nil t)
>>   find-file("~/dt.el" t)
>>   find-file--read-only(find-file "~/dt.el" t)
>>   find-file-read-only("~/dt.el" t)
>>   funcall-interactively(find-file-read-only "~/dt.el" t)
>>   call-interactively(find-file-read-only nil nil)
>>   command-execute(find-file-read-only)
>
> I can't reproduce this. I tried with:
>
> mount -t tmpfs -o size=10m tmpfs /mnt/
> HOME=/mnt emacs-25.2 -Q &
> ...
> mount -r -o remount /mnt/
>
> and C-x C-r continues to work fine.
>
> The above backtrace isn't detailed enough to debug this issue.
> I can only guess that buffer-file-name somehow became nil.
> How, I have no idea.

 As the process is now gone, no additional info is no longer
 available, I guess this bug report can be closed.

 Thanks for looking into this.